#include "GameLayoutWidget.h"
#include "Widgets/CommonActivatableWidgetContainer.h"
#include "Inventory/InventoryScreenWidget.h"
#include "Inventory/Wardrobe/WardrobeScreenWidget.h"
#include "Phone/PhoneScreenWidget.h"

void UGameLayoutWidget::OpenInventory()
{
	InventoryScreenWidget = WidgetStack->AddWidget<UInventoryScreenWidget>(InventoryScreenWidgetClass);
}

void UGameLayoutWidget::OpenWardrobe()
{
	WardrobeScreenWidget = WidgetStack->AddWidget<UWardrobeScreenWidget>(WardrobeScreenWidgetClass);
}

void UGameLayoutWidget::OpenPhone()
{
	PhoneScreenWidget = WidgetStack->AddWidget<UPhoneScreenWidget>(PhoneScreenWidgetClass);
}
